Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender
Class DefaultErrorHandler

    java.lang.Object
      org.apache.logging.log4j.core.appender.DefaultErrorHandler

All Implemented Interfaces:
  Serializable, ErrorHandler

    public class DefaultErrorHandler

extends Object
implements ErrorHandler, Serializable

See Also:
  Serialized Form

Constructor Summary
`DefaultErrorHandler(Appender appender)`

Method Summary
`void` | `error(String msg)` Handle an error with a message.
`void` | `error(String msg, LogEvent event, Throwable t)` Handle an error with a message, and exception and a logging event.
`void` | `error(String msg, Throwable t)` Handle an error with a message and an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler(Appender appender)

Method Detail

### error

    public void error(String msg)

  Handle an error with a message.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `msg` - The message.

### error

    public void error(String msg,
                      Throwable t)

  Handle an error with a message and an exception.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `msg` - The message.
    `t` - The Throwable.

### error

    public void error(String msg,
                      LogEvent event,
                      Throwable t)

  Handle an error with a message, and exception and a logging event.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `msg` - The message.
    `event` - The LogEvent.
    `t` - The Throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.